FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 01-23-2009, 04:59 PM
Grant
 
Default "Error: circular dependencies"

This ebuild is from the java-overlay. Is it just a bad ebuild or can
I fix this? I tried disabling the nsplugin USE flag with the same
result.

# emerge icedtea6
Calculating dependencies... done!
[ebuild N ] dev-java/icedtea6-1.3.1-r2 USE="nsplugin -cacao
-debug -doc -examples -javascript -pulseaudio -shark -zero"
* Error: circular dependencies:
('ebuild', '/', 'dev-java/icedtea6-1.3.1-r2', 'merge') depends on
('ebuild', '/', 'dev-java/icedtea6-1.3.1-r2', 'merge') (hard)
* Note that circular dependencies can often be avoided by temporarily
* disabling USE flags that trigger optional dependencies.

- Grant
 
Old 01-23-2009, 05:26 PM
Peter Alfredsen
 
Default "Error: circular dependencies"

On Fri, 23 Jan 2009 09:59:41 -0800
Grant <emailgrant@gmail.com> wrote:

> This ebuild is from the java-overlay. Is it just a bad ebuild or can
> I fix this? I tried disabling the nsplugin USE flag with the same
> result.
>
57 DEPEND="${RDEPEND}
58 || ( >=virtual/gnu-classpath-jdk-1.5
59 dev-java/icedtea6
60 dev-java/icedtea6-bin
61 )
It comes from that line. It looks like it's for bootstrapping icedtea6,
which apparently can be done by itself or the two other alternatives.
emerging icedtea6-bin should fix this. It can then be unemerged when
you've emerged icedtea6 and from then on you can bootstrap updates with
the existing installation.

/PA
 
Old 01-24-2009, 02:35 PM
Grant
 
Default "Error: circular dependencies"

>> This ebuild is from the java-overlay. Is it just a bad ebuild or can
>> I fix this? I tried disabling the nsplugin USE flag with the same
>> result.
>>
> 57 DEPEND="${RDEPEND}
> 58 || ( >=virtual/gnu-classpath-jdk-1.5
> 59 dev-java/icedtea6
> 60 dev-java/icedtea6-bin
> 61 )
> It comes from that line. It looks like it's for bootstrapping icedtea6,
> which apparently can be done by itself or the two other alternatives.
> emerging icedtea6-bin should fix this. It can then be unemerged when
> you've emerged icedtea6 and from then on you can bootstrap updates with
> the existing installation.

Thank you, that worked.

- Grant
 

Thread Tools




All times are GMT. The time now is 01:07 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org